package cn.wise.sc.cement.business.service.impl;

import cn.hutool.core.util.StrUtil;
import cn.wise.sc.cement.business.entity.Method;
import cn.wise.sc.cement.business.entity.SysGroup;
import cn.wise.sc.cement.business.mapper.SysGroupMapper;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.MethodQuery;
import cn.wise.sc.cement.business.service.ISysGroupService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
@Service
public class SysGroupServiceImpl extends ServiceImpl<SysGroupMapper, SysGroup> implements ISysGroupService {

	@Override
	public BaseResponse<IPage<SysGroup>> getPage(PageQuery pageQuery) {
		QueryWrapper<SysGroup> qw = new QueryWrapper<>();
		qw.orderByDesc("id");
		IPage<SysGroup> page = new Page<>(pageQuery.getPageNo(), pageQuery.getPageSize());
		this.page(page);
		return BaseResponse.okData(page);
	}



	@Override
	public BaseResponse<List<SysGroup>> getList() {
		QueryWrapper<SysGroup> qw = new QueryWrapper<>();
		List<SysGroup> list = this.list(qw);
		return BaseResponse.okData(list);
	}


	@Override
	public BaseResponse<SysGroup> create(SysGroup query) {
		query.setStatus(true);
		this.save(query);
		return BaseResponse.okData(query);
	}


	@Override
	public BaseResponse<SysGroup> update(SysGroup query) {
		this.updateById(query);
		return BaseResponse.okData(query);
	}



}
